Package org.apache.torque.templates.transformer.om

## Enum DatabaseAttributeName

- java.lang.Object
- - java.lang.Enum<DatabaseAttributeName>
  - - org.apache.torque.templates.transformer.om.DatabaseAttributeName

- All Implemented Interfaces:
    `Serializable`, `Comparable<DatabaseAttributeName>`, `SourceAttributeName`

      public enum DatabaseAttributeName
      extends Enum<DatabaseAttributeName>
      implements SourceAttributeName

  Contains the attributes for a database source element which are not defined in the Torque schema.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `BASE_DATABASE_MAP_INIT_CLASS_NAME` | The name of the mapInit class to generate.
    `DATABASE_MAP_INIT_CLASS_NAME` | The name of the mapInit class to generate.
    `ROOT_DATABASE_NAME` | The name of the root database in case of an external schema, otherwise just the name of the database itself..

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getName()` | Returns the name of the referenced source element attribute.
    `String` | `toString()` |
    `static DatabaseAttributeName` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static DatabaseAttributeName[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ROOT_DATABASE_NAME

          public static final DatabaseAttributeName ROOT_DATABASE_NAME

      The name of the root database in case of an external schema, otherwise just the name of the database itself..

    - #### DATABASE_MAP_INIT_CLASS_NAME

          public static final DatabaseAttributeName DATABASE_MAP_INIT_CLASS_NAME

      The name of the mapInit class to generate.

    - #### BASE_DATABASE_MAP_INIT_CLASS_NAME

          public static final DatabaseAttributeName BASE_DATABASE_MAP_INIT_CLASS_NAME

      The name of the mapInit class to generate.

  - ### Method Detail

    - #### values

          public static DatabaseAttributeName[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DatabaseAttributeName c : DatabaseAttributeName.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static DatabaseAttributeName valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getName

          public String getName()

      Returns the name of the referenced source element attribute.
      Specified by:
        `getName` in interface `SourceAttributeName`
      Returns:
        the name of the referenced source element attribute.

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Enum<DatabaseAttributeName>`